GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
osdata Struct Reference

`#include "osdata.h"`

## Public Member Functions
| osdata (std::string &&type_)

## Public Attributes
std::string | type
std::vector< osdata_item > | items

## Detailed Description

Definition at line 40 of file osdata.h.

## Constructor & Destructor Documentation

## ◆ osdata()

osdata::osdata | ( | std::string && | type_ | ) |
| inline

Definition at line 42 of file osdata.h.

## Member Data Documentation

## ◆ items

std::vector<osdata_item> osdata::items

Definition at line 47 of file osdata.h.

Referenced by info_osdata(), and osdata_end_column().

## ◆ type

std::string osdata::type

Definition at line 46 of file osdata.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/osdata.h